
 LinHES - Bug # 264: problem in package athcool - program seems to run forever in tty1

Status: Closed Priority: Normal
Author: graysky Category:
Created: 03/07/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: If I installed athcool the add-service.sh is auto run to add athcool to the /var/service and the /etc/sv/ dirs but 

for some reason, if I ctrl+alt+F1 I see athcool being executed in an infinite loop!  I manually ran:

<code>
# remove_service.sh athcool</code>

Then simply added the following to my /etc/runit/1

<code>
/usr/sbin/athcool on
</code>

After a reboot, when I check in tty1, athcool was only executed once.  For some reason /etc/sv/athcool runs in 
a loop.

History
03/07/2009 11:55 am - tjc
Sounds like we need to invoke it with a no-auto-detach type option to atcool (which it doesn't seem to have...), or the "once" option to sv.

03/09/2009 06:23 pm - jams
Try the new version of the pkg.  Please verify that athcool is running, but sv does not keep trying to restart it.

ps -ef |grep athcool

&

sv status athcool

03/10/2009 04:44 pm - graysky
Did it.  If I Ctrl+Alt+F1 it's not continuously running as it did before.

<code>
$ ps -ef | grep athcool
root      2651  2643  0 16:38 ?        00:00:00 runsv athcool
squishy   3273  3251  0 16:40 pts/0    00:00:00 grep athcool
</code>

And

<code>
# sv status athcool 
down: athcool: 156s, normally up
</code>

Good job and thank you as always.  You rock, Jams.
12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
